/**
 * @imports
 */
import DirectionTypes from './DirectionTypes';

/**
 * @styles
 */
export const NavigationIconsFont = {
    fontFamily: 'Navigation'
};

/**
 * Arrows
 * @type {{}}
 */
export default {

    /**
     * @common
     */
    watch: '\ue957',
    timer3: '\ue958',
    timer10: '\ue959',
    timerAv: '\ue95a',
    timer: '\ue95b',
    menu: '\ue95c',
    zoomOutMap: '\ue95d',
    zoomOut: '\ue95e',
    zoomIn: '\ue95f',
    linearScale: '\ue960',
    room: '\ue961',
    place: '\ue961',
    zoomOutMap2: '\ue962',
    locationOff: '\ue963',
    locationCity: '\ue964',
    locationDisabled: '\ue965',
    locationSearching: '\ue966',
    myLocation: '\ue967',
    editLocation: '\ue968',
    addLocation: '\ue969',
    map: '\ue96a',
    directionsTransit: '\ue96b',
    directionsWalk: '\ue96c',
    directionsBike: '\ue96d',
    cardTravel: '\ue96e',
    home: '\ue96f',
    directionsDriving: '\ue970',
    navigate: '\ue975',
    target: '\ue971',
    location2: '\ue972',
    location3: '\ue973',
    compassDirection: '\ue974',
    compassDot: '\ue977',

    /**
     * @arrows
     * turn-slight-left, turn-sharp-left, uturn-left, turn-left, turn-slight-right, turn-sharp-right,
     * uturn-right, turn-right, straight, ramp-left, ramp-right, merge, fork-left, fork-right, ferry,
     * ferry-train, roundabout-left, roundabout-right
     */
    arriveLeft: '\ue900',
    arriveRight: '\ue901',
    arriveStraight: '\ue902',
    arrive: '\ue903',
    close: '\ue904',
    continueLeft: '\ue905',
    continueRight: '\ue906',
    continueSlightLeft: '\ue907',
    continueSlightRight: '\ue908',
    continueStraight: '\ue909',
    continueUturn: '\ue90a',
    continue: '\ue90b',
    keepLeft: '\ue907',
    keepRight: '\ue908',
    departLeft: '\ue90c',
    departRight: '\ue90d',
    departStraight: '\ue90e',
    depart: '\ue90f',
    endOfRoadLeft: '\ue910',
    endOfRoadRight: '\ue911',
    flag: '\ue912',
    forkLeft: '\ue913',
    forkRight: '\ue914',
    forkSlightLeft: '\ue915',
    forkSlightRight: '\ue916',
    forkStraight: '\ue917',
    fork: '\ue918',
    invalidLeft: '\ue919',
    invalidRight: '\ue91a',
    invalidSlightLeft: '\ue91b',
    invalidSlightRight: '\ue91c',
    invalidStraight: '\ue91d',
    invalidUturn: '\ue91e',
    invalid: '\ue91f',
    straight: '\ue91f',
    merge: '\ue976',
    mergeLeft: '\ue920',
    mergeRight: '\ue921',
    mergeSlightLeft: '\ue922',
    mergeSlightRight: '\ue923',
    mergeStraight: '\ue924',
    newNameLeft: '\ue925',
    newNameRight: '\ue926',
    newNameSharpLeft: '\ue927',
    newNameSharpRight: '\ue928',
    newNameSlightLeft: '\ue929',
    newNameSlightRight: '\ue92a',
    newNameStraight: '\ue92b',
    notificaitonSharpRight: '\ue92c',
    notificationLeft: '\ue92d',
    notificationRight: '\ue92e',
    notificationSharpLeft: '\ue92f',
    notificationSlightLeft: '\ue930',
    notificationSlightRight: '\ue931',
    notificationStraight: '\ue932',
    offRampLeft: '\ue933',
    offRampRight: '\ue934',
    offRampSlightLeft: '\ue935',
    offRampSlightRight: '\ue936',
    rampLeft: '\ue933',
    rampRight: '\ue934',
    rampSlightLeft: '\ue935',
    rampSlightRight: '\ue936',
    onRampLeft: '\ue937',
    onRampRight: '\ue938',
    onRampSharpLeft: '\ue939',
    onRampSharpRight: '\ue93a',
    onRampSlightLeft: '\ue93b',
    onRampSlightRight: '\ue93c',
    onRampStraight: '\ue93d',
    rotaryLeft: '\ue93e',
    rotaryRight: '\ue93f',
    rotarySharpLeft: '\ue940',
    rotarySharpRight: '\ue941',
    rotarySlightLeft: '\ue942',
    rotarySlightRight: '\ue943',
    rotaryStraight: '\ue944',
    rotary: '\ue945',
    roundaboutLeft: '\ue946',
    roundaboutRight: '\ue947',
    roundaboutSharpLeft: '\ue948',
    roundaboutSharpRight: '\ue949',
    roundaboutSlightLeft: '\ue94a',
    roundaboutSlightRight: '\ue94b',
    roundaboutStraight: '\ue94c',
    roundabout: '\ue94d',
    turnLeft: '\ue94e',
    turnRight: '\ue94f',
    turnSharpLeft: '\ue950',
    turnSharpRight: '\ue951',
    turnSlightLeft: '\ue952',
    turnSlightRight: '\ue953',
    turnStraight: '\ue954',
    updown: '\ue955',
};


